| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | List of all members
IG.Num.OutputElementDefinition Class Reference

Input data element definition for vector functions, approximations, etc. More...

Inheritance diagram for IG.Num.OutputElementDefinition:
[legend]
Collaboration diagram for IG.Num.OutputElementDefinition:
[legend]

## Public Member Functions
| OutputElementDefinition (int elementIndex, string name=null, string title=null, string description=null)
| Constructor. More...
| OutputElementDefinition (string name)
| Constructor. Element index is unknown, there is no element description. More...
| OutputElementDefinition (string name, string title)
| Constructor. Element index is unknown. More...
| OutputElementDefinition (string name, string title, string description)
| Constructor. Element index is unknown. More...
OutputElementDefinition | GetCopy ()
| Creates and returns a deep copy of the current output data element definition. More...
override string | ToString ()
Public Member Functions inherited from IG.Num.InputOutputElementDefinition
| InputOutputElementDefinition (int elementIndex, string name, string title, string description)
| Constructor. More...
| InputOutputElementDefinition (string name)
| Constructor. Element index is unknown, there is no element description. More...
| InputOutputElementDefinition (string name, string title)
| Constructor. Element index is unknown. More...
| InputOutputElementDefinition (string name, string title, string description)
| Constructor. Element index is unknown. More...
void | GetDistortedBounds (double DistortionFactor, double RandomFactor, ref double distortedMinimalValue, ref double distrotedMaximalValue)
| Calculates randomly distorted bounds on element values and stores them in the specified variables. More...
void | GetDistortedBounds (double DistortionFactor, double RandomFactor, ref double distortedMinimalValue, ref double distrotedMaximalValue, IRandomGenerator randomGenerator)
| Calculates randomly distorted bounds on element values and stores them in the specified variables. More...
override string | ToString ()

## Static Public Member Functions
static void | CopyPlain (OutputElementDefinition original, OutputElementDefinition copy)
| Copies data from one output data element definition to another. More...
static void | Copy (OutputElementDefinition original, ref OutputElementDefinition copy)
| Copies data from one output data element definition to another. More...
Static Public Member Functions inherited from IG.Num.InputOutputElementDefinition
static void | CopyPlain (InputOutputElementDefinition original, InputOutputElementDefinition copy)
| Copies data from one input/output data element definition to another. More...
static string | GetDefaultInputElementName (int which)
| Returns a default name for the specified input data element. More...
static string | GetDefaultOutputElementName (int which)
| Returns a default name for the specified output data element. More...
static string | GetDefaultInputElementTitle (int which)
| Returns a default title for the specified input data element. More...
static string | GetDefaultOutputElementTitle (int which)
| Returns a default title for the specified output data element. More...
static string | GetDefaultInputElementDescription (int which)
| Returns a default description for the specified input data element. More...
static string | GetDefaultOutputElementDescription (int which)
| Returns a default description for the specified output data element. More...

## Additional Inherited Members
Protected Attributes inherited from IG.Num.InputOutputElementDefinition
string | _name
string | _nameAlt
string | _title
string | _description
bool | _isInput = true
bool | _elementindexSpecified = false
int | _elementIndex = -1
bool | _boundsDefined = false
double | _minValue
double | _maxValue
bool | _targetValueDefined = false
double | _targetValue = 0.0
bool | _scalingLengthDefined = false
double | _scalingLength = 0.0
Properties inherited from IG.Num.InputOutputElementDefinition
virtual string | Name`[get, set]`
| Unique name of the data element described by the current definition. Considered a kind of variable name that distinguishes between data by short names. More...
virtual string | NameAlt`[get, set]`
| Alternative name of the data element described by the current definition. More...
virtual string | Title`[get, set]`
| A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions. More...
virtual string | Description`[get, set]`
| Describes the meaning of a data element used as part of input or output data. More...
virtual bool | IsInput`[get, set]`
| Flag specifying whether a data element is input or output element. More...
virtual bool | ElementIndexSpecified`[get, set]`
| Specifies whether element index is specified for the data element described by the current definition. More...
virtual int | ElementIndex`[get, set]`
| Specifies the index f the element described by the current definition, within the data vextor (either input or output). More...
virtual bool | BoundsDefined`[get, set]`
| Flag indicating whethe minimal and maximal value are defined for the data element described by the current definition. More...
virtual double | MinimalValue`[get, set]`
| Minimal value for the data element described by the current definition. More...
virtual double | MaximalValue`[get, set]`
| Maximal value for the data element described by the current definition. More...
virtual bool | TargetValueDefined`[get, set]`
| Flag indicating whether target value is defined for the data element described by the current definition. More...
virtual double | TargetValue`[get, set]`
| Target value of the current element. Used for optimization. More...
virtual bool | ScalingLengthDefined`[get, set]`
| Flag indicating whether scaling length is defined for the data element described by the current definition. More...
virtual double | ScalingLength`[get, set]`
| Scaling length, used for optimization and other tasks where scaling of input or output quantities is important. More...

## Detailed Description

Input data element definition for vector functions, approximations, etc.

$A Igor Feb11;

## Constructor & Destructor Documentation

IG.Num.OutputElementDefinition.OutputElementDefinition | ( | int | elementIndex,
|  | string | name = `null`,
|  | string | title = `null`,
|  | string | description = `null`
| ) |  |
| inline

Constructor.

Parameters

  elementIndex | Index of the input or output data element specified by the current definision. If less than 0 is specified then it is considered that element index is not known or defined in the current context.
  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbvitrary string.

IG.Num.OutputElementDefinition.OutputElementDefinition | ( | string | name | ) |
| inline

Constructor. Element index is unknown, there is no element description.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.

IG.Num.OutputElementDefinition.OutputElementDefinition | ( | string | name,
|  | string | title
| ) |  |
| inline

Constructor. Element index is unknown.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).

IG.Num.OutputElementDefinition.OutputElementDefinition | ( | string | name,
|  | string | title,
|  | string | description
| ) |  |
| inline

Constructor. Element index is unknown.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbitrary string.

## Member Function Documentation

OutputElementDefinition IG.Num.OutputElementDefinition.GetCopy | ( |  | ) |
| inline

Creates and returns a deep copy of the current output data element definition.

References IG.Num.OutputElementDefinition.CopyPlain().

static void IG.Num.OutputElementDefinition.CopyPlain | ( | OutputElementDefinition | original,
|  | OutputElementDefinition | copy
| ) |  |
| inline static

Copies data from one output data element definition to another.

Parameters

  original | Source object that data is copied from.
  copy | Object to which data is copied.

Operation is performed only if both sorce and destination objects are non-null.

References IG.Num.InputOutputElementDefinition.CopyPlain().

Referenced by IG.Num.OutputElementDefinition.Copy(), and IG.Num.OutputElementDefinition.GetCopy().

static void IG.Num.OutputElementDefinition.Copy | ( | OutputElementDefinition | original,
|  | ref OutputElementDefinition | copy
| ) |  |
| inline static

Copies data from one output data element definition to another.

Parameters

  original | Source object that data is copied from.
  copy | Object to which data is copied.

If original object is null then destination object is also set to null. If destination object is nul then it is allocated anew.

References IG.Num.OutputElementDefinition.CopyPlain(), and IG.Num.InputOutputElementDefinition.Name.

Referenced by IG.Num.InputOutputDataDefiniton.CopyPlain().

override string IG.Num.OutputElementDefinition.ToString | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/sampleddata/SampledDataDefinition.cs